package metier;

import java.util.Objects;
import javax.swing.Icon;
import javax.swing.JOptionPane;

/**
 *
 * @author Dominique_2
 */
public class Sorcier  extends Personnage {
    
    private String baguette; 

    public Sorcier(String nom, String img, int energie, int dureeVie, String baguette) {
        super(nom, img, energie, dureeVie);
        this.baguette = baguette;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = super.hashCode() + (73 * hash + Objects.hashCode(this.baguette));
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Sorcier other = (Sorcier) obj;
        if (!Objects.equals(this.baguette, other.baguette)) {
            return false;
        }
        if (!super.equals(obj)) {
            return false;            
        }
        return true;
    }

    @Override
    public String toString() {
        return super.toString() + "\tBaguette=" + baguette + "\nNb Enigmes";
    }
        
    /**
     * Get the value of baguette
     *
     * @return the value of baguette
     */
    public String getBaguette() {
        return baguette;
    }

    /**
     * Set the value of baguette
     *
     * @param baguette new value of baguette
     */
    public void setBaguette(String baguette) {
        this.baguette = baguette;
    }
    
    @Override
    public String saluer(Personnage unPerso){
        String titre = this.getNom() + " salue " + unPerso.getNom();
        String message ;
        message = "Bonjour " + unPerso.getNom() + " Tu es sous ma dépendance ";
        //JOptionPane.showMessageDialog(null, message, titre, JOptionPane.INFORMATION_MESSAGE);
        Icon imgPerso = new javax.swing.ImageIcon(getClass().getResource("/img/" + this.getImg()));
        JOptionPane.showMessageDialog(null, message, titre, JOptionPane.INFORMATION_MESSAGE, imgPerso);
        return message;
    }
}
